Bug 118364 - "Master slide" toolbar button state not always updated appropriately
Summary: "Master slide" toolbar button state not always updated appropriately
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Button-Controls
  Show dependency treegraph
 
Reported: 2018-06-25 08:06 UTC by Explorer09
Modified: 2018-09-27 21:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Explorer09 2018-06-25 08:06:17 UTC
Description:
On LibreOffice Impress' standard toolbar, two buttons named "Master slide" and "Display views" sometimes do not have their states updated appropriately, when user enters and exits master slide view.

Steps to Reproduce:
It's better to test this on a blank presentation in Impress.

1. Make sure you have the standard toolbar shown, with both "Master slide" and "Display views" buttons.

2. Click "Master slide" button on the standard toolbar.
3. Click "Close Master View" button on the Master View toolbar.

4. Click the "Display View" button on the toolbar and select "Master Slide" on the opened menu.
5. Click "Close Master View" button again on the Master View toolbar.

Actual Results:
After step 2, the "Master slide" button on the toolbar does not go to the "selected"/"pressed" state, and "Display View" button still shows a "Normal slide" icon.
After step 3, the "Master slide" button might remain on the pressed state, despite the Master View being closed.

After step 4, although the icon on "Display View" changes appropriately, the "Master slide" button might not go to the "checked"/"pressed" state.

Expected Results:
After step 2, the "Master slide" button should go to pressed state (i.e. visually appear to be pressed or selected), and "Display View" icon should change to reflect we are editing Master Slide.
After step 3, both "Master slide" button state and "Display View" icon should revert to normal (i.e. unselected state and "normal" slide icon).
After step 4 should behave like after step 2.
After step 5 should behave like after step 3.


Reproducible: Sometimes


User Profile Reset: No



Additional Info:
Comment 1 mh rony 2018-06-27 07:51:40 UTC Comment hidden (obsolete)
Comment 2 Explorer09 2018-06-27 10:19:44 UTC
This is not duplicate of 118363! Mine is about UI issue on the toolbar, and nothing to do with the slideshow.
Comment 3 Xisco Faulí 2018-06-28 09:07:26 UTC
(In reply to Explorer09 from comment #2)
> This is not duplicate of 118363! Mine is about UI issue on the toolbar, and
> nothing to do with the slideshow.

Indeed. Sorry for that. Sometimes we have vandal doing senseless changes, and he was one of them. Apologies
Comment 4 Buovjaga 2018-06-28 09:32:07 UTC
(In reply to Explorer09 from comment #2)
> This is not duplicate of 118363! Mine is about UI issue on the toolbar, and
> nothing to do with the slideshow.

Sorry about that, we have a vandal problem.

I confirm all expect this:

"After step 3, the "Master slide" button might remain on the pressed state, despite the Master View being closed."

I don't understand how it "might remain" in a pressed state, when it did not go to pressed state in the first place.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 4600b07c1d787f959618d9ecf54161e4ea4ffa61
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 28th 2018
Comment 5 Explorer09 2018-06-28 10:38:17 UTC
(In reply to Buovjaga from comment #4)
> 
> I confirm all expect this:
> 
> "After step 3, the "Master slide" button might remain on the pressed state,
> despite the Master View being closed."
> 
> I don't understand how it "might remain" in a pressed state, when it did not
> go to pressed state in the first place.

For the demo in "Steps to Reproduce" it won't go the pressed state, but if you select or edit some Master Slide elements after the step, it might go to pressed state.

Because I can't say which exact condition will make the button appear pressed, I used the word "might" here. Sorry for unclear wording.